worm(6)

NAME
worm - multicolored worms that crawl around the screen.

SYNOPSIS
worm [-display host:display.screen] [-visual visual] [-window] [-root] [-count number] [-delay number] [-ncolors number] [-size number] [-fps]

DESCRIPTION
An ancient hack that draws multicolored worms that crawl around the screen.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    Count.    -100 - 100.  Default: -20.

-delay number
    Per-frame delay, in microseconds. Default: 17000 (0.017 seconds.).

-ncolors number
    Number of Colors. Default: 150.

-size number
    Size. -20 - 20. Default: -3.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Brad Taylor, Dave Lemke, Boris Putanec, and Henrik Theiling. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Brad Taylor, Dave Lemke, Boris Putanec, and Henrik Theiling.